org.apache.ignite.ml.dataset.feature.extractor.impl

## Class LabeledDummyVectorizer<K,L>

- java.lang.Object
- - org.apache.ignite.ml.dataset.feature.extractor.Vectorizer<K,LabeledVector<L>,Integer,L>
  - - org.apache.ignite.ml.dataset.feature.extractor.impl.LabeledDummyVectorizer<K,L>

- Type Parameters:
    `K` - Type of key.
  All Implemented Interfaces:
    Serializable, BiFunction<K,LabeledVector<L>,LabeledVector>, DeployableObject, IgniteBiFunction<K,LabeledVector<L>,LabeledVector>, Preprocessor<K,LabeledVector<L>>, FeatureLabelExtractor<K,LabeledVector<L>,L>

      public class LabeledDummyVectorizer<K,L>
      extends Vectorizer<K,LabeledVector<L>,Integer,L>
      implements DeployableObject

  Vectorizer on LabeledVector.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ignite.ml.dataset.feature.extractor.Vectorizer

      `Vectorizer.LabelCoordinate, Vectorizer.VectorizerAdapter<K,V,C extends Serializable,L>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LabeledDummyVectorizer(Integer... coords)` Creates an instance of Vectorizer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<Integer>` | `allCoords(K key, LabeledVector<L> value)` Returns list of all coordinate with feature values.
    `protected Double` | `feature(Integer coord, K key, LabeledVector<L> value)` Extracts feature value by given coordinate.
    `List<Object>` | `getDependencies()` Returns dependencies of this object that can be object with class defined by client side and unknown for server.
    `protected L` | `label(Integer coord, K key, LabeledVector<L> value)` Extract label value by given coordinate.
    `protected L` | `zero()` Returns default label value for unlabeled data.

    - ### Methods inherited from class org.apache.ignite.ml.dataset.feature.extractor.Vectorizer

      `apply, createVector, exclude, extract, labeled, labeled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.trainers.FeatureLabelExtractor

      `extractFeatures, extractLabel`

    - ### Methods inherited from interface org.apache.ignite.ml.preprocessing.Preprocessor

      `map`

    - ### Methods inherited from interface org.apache.ignite.ml.math.functions.IgniteBiFunction

      `andThen`

    - ### Methods inherited from interface java.util.function.BiFunction

      `andThen`

- - ### Constructor Detail

    - #### LabeledDummyVectorizer

          public LabeledDummyVectorizer(Integer... coords)

      Creates an instance of Vectorizer.
      Parameters:
        `coords` - Coordinates.

  - ### Method Detail

    - #### feature

          protected Double feature(Integer coord,
                                   K key,
                                   LabeledVector<L> value)

      Extracts feature value by given coordinate.
      Specified by:
        `feature` in class `Vectorizer<K,LabeledVector<L>,Integer,L>`
      Parameters:
        `coord` - Coordinate.
        `key` - Key.
        `value` - Value.
      Returns:
        feature value.

    - #### label

          protected L label(Integer coord,
                            K key,
                            LabeledVector<L> value)

      Extract label value by given coordinate.
      Specified by:
        `label` in class `Vectorizer<K,LabeledVector<L>,Integer,L>`
      Parameters:
        `coord` - Coordinate.
        `key` - Key.
        `value` - Value.
      Returns:
        label value.

    - #### zero

          protected L zero()

      Returns default label value for unlabeled data.
      Specified by:
        `zero` in class `Vectorizer<K,LabeledVector<L>,Integer,L>`
      Returns:
        label value.

    - #### allCoords

          protected List<Integer> allCoords(K key,
                                            LabeledVector<L> value)

      Returns list of all coordinate with feature values.
      Specified by:
        `allCoords` in class `Vectorizer<K,LabeledVector<L>,Integer,L>`
      Parameters:
        `key` - Key.
        `value` - Value.
      Returns:
        all coordinates list.

    - #### getDependencies

          public List<Object> getDependencies()

      Returns dependencies of this object that can be object with class defined by client side and unknown for server.
      Specified by:
        `getDependencies` in interface `DeployableObject`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023